---
lang: en
title: 'API docs: socketio.socketioapplication'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketioapplication.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoApplication](./socketio.socketioapplication.md)

## SocketIoApplication class

**Signature:**

```typescript
export declare class SocketIoApplication extends Application 
```
**Extends:** [Application](./core.application.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(config)](./socketio.socketioapplication._constructor_.md) |  | Constructs a new instance of the <code>SocketIoApplication</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [socketServer](./socketio.socketioapplication.socketserver.md) | <code>readonly</code> | [SocketIoServer](./socketio.socketioserver.md) | The main Socket server instance providing Socket connections for this application. |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [server(server, name)](./socketio.socketioapplication.server.md) |  |  |


